built_value_generator 7.1.0

Dart native

Value types with builders, Dart classes as enums, and serialization. This library is the dev dependency.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  built_value_generator: ^7.1.0

2. Install it

You can install packages from the command line:

with pub:

$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:built_value_generator/built_value_generator.dart';
40
likes
100
pub points
92%
popularity

Publisher

dart.dev

Value types with builders, Dart classes as enums, and serialization. This library is the dev dependency.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

Dependencies

analyzer, build, build_config, built_collection, built_value, quiver, source_gen

More

Packages that depend on built_value_generator